//! Cli interface.

use clap::Parser;

/// Simple opds server for calibre
#[derive(Parser)]
#[command(version, about, long_about = None)]
pub struct Cli {
    /// Address to listen on
    #[arg(short, long, env, default_value = "[::1]:3000")]
    pub listen_address: String,
    /// Cache path ($TMP cascades through $XDG_CACHE_HOME, $TMPDIR and /tmp)
    #[arg(short, long, env, default_value = "$TMP/little-hesinde")]
    pub cache_path: String,
    /// Calibre library path
    #[arg(env, last = true)]
    pub library_path: String,
}
